<div class="preloader">
  <h1>Baking in progress...</h1>
  <div id="cooking">
    <div class="bubble"></div>
    <div class="bubble"></div>
    <div class="bubble"></div>
    <div class="bubble"></div>
    <div class="bubble"></div>
    <div id="area">
      <div id="sides">
        <div id="pan"></div>
        <div id="handle"></div>
      </div>
      <div id="pancake">
        <div id="pastry"></div>
      </div>
    </div>
  </div>
</div>

<!-- search modal -->
<div class="modal" tabindex="-1" role="dialog" aria-labelledby="search_modal" id="search_modal">
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
  <div class="widget widget_search">
    <form method="get" class="searchform search-form" action="/">
      <div class="form-group">
        <input type="text" value="" name="search" class="form-control" placeholder="Search keyword"
          id="modal-search-input"></div>
      <button type="submit" class="btn">Search</button>
    </form>
  </div>
</div>

<!-- Unyson messages modal -->
<div class="modal fade" tabindex="-1" role="dialog" id="messages_modal">
  <div class="fw-messages-wrap ls p-normal">
    <!-- Uncomment this UL with LI to show messages in modal popup to your user: -->
    <!--
  <ul class="list-unstyled">
    <li>Message To User</li>
  </ul>
  -->

  </div>
</div>
<!-- eof .modal -->

<!-- wrappers for visual page editor and boxed version of template -->
<div id="canvas">
  <div id="box_wrapper">

    <!-- template sections -->


    <div class="header_absolute">
      <!-- header with three Bootstrap columns - left for logo, center for navigation and right for includes-->
      <header class="page_header s-bordertop nav-narrow ds header-main">
        <div class="container-fluid">
          <div class="row align-items-center">
            <div class="col-xl-2 col-lg-3 col-11">
              <a href="#" class="logo">
                <img src="assets/images/images-logo.png" alt=""><span class="logo-text color-darkgrey">Chef Rahul

                </span>
              </a>
            </div>
            <div class="col-xl-8 col-lg-5 col-1 text-sm-center">
              <nav class="top-nav">
                <ul class="nav sf-menu">
                  <li routerLink="/Home" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                    <a>
                      Home
                    </a>

                  </li>
                  <li routerLink="/Recipes" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                    <a>
                      Recipes
                    </a>
                  </li>
                  <li routerLink="/Tips" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                    <a>
                      Tips & more
                    </a>
                  </li>
                  <li routerLink="/About" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                    <a>
                      About us
                    </a>
                  </li>

                  <li routerLink="/Contact" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                    <a>
                      Contact us
                    </a>
                  </li>
                  <li *ngIf="isLoggedIN" (click)="logout()">
                    <a>
                      <i class="fa fa-sign-out"></i>Logout <span style="text-transform: none;">({{UserName}})</span>
                    </a>
                  </li>
                </ul>
              </nav>
            </div>
          </div>
        </div>
        <!-- header toggler -->
        <span class="toggle_menu">
          <span></span>
        </span>
      </header>
    </div>
    <div class="page_slider">

    </div>
    <div [ngClass]="{'not-home' : !isHome}">
      <router-outlet></router-outlet>
     
    
        
    </div>
    <section class="page_copyright ds s-py-25 s-py-lg-5 pt-2 pb-2 s-parallax s-overlay footer-overlay">
      <div class="container">
        <div class="row align-items-center">

          <div class="col-footer col-sm-6 col-xs-12">
            <p>© Copyright
              <span class="copyright_year">2020</span> Chef Rahul</p>
          </div>
          <div class="col-footer col-sm-6 col-xs-12 text-right">
            <p>Powered by <a style="color:blue;font-weight: 900;font-size: 18px;"
                target="_blanck" href="http://systemtricks.com/">SystemTricks</a> </p>
          </div>
        </div>
      </div>
    </section>
  </div>
  <!-- eof #box_wrapper -->
</div>
<!-- eof #canvas -->